Bug 178379 - [net80211] [ath] WPA rekey on the STA side fails when transmitting lots of UDP traffic
Summary: [net80211] [ath] WPA rekey on the STA side fails when transmitting lots of UD...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: 1.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-06 23:10 UTC by Adrian Chadd
Modified: 2018-05-28 19:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Chadd freebsd_committer 2013-05-06 23:10:00 UTC
When UDP iperf transmit is going on, a WPA group rekey fails and the AP ditches the station.

What's going on:

* FreeBSD AP -> FreeBSD STA (both ath)
* AP sends a WPA rekey EAPOL message to the STA
* STA updates the key, sends an EAPOL message back
* AP doesn't get it, so it eventually disconnects the station.

What's breaking:

* The STA gets the EAPOL group rekey frame
* the STA updates the keycache entry
* The STA sends the EAPOL response
* .. but it doesn't actually send the frame, it gets dropped by ath_start() because the buffers are all allocated.

I'll dig into it some more.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-05-07 02:38:02 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless

Over to maintainer(s).
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:50:15 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.